$ErrorActionPreference = 'Stop';

$packageName= 'invantive-estate-for-windows'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-17.23.0-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-17.23.0-BETA.msi'
  softwareName = 'Invantive Estate for Windows'
  checksum = 'A78FB7A2706C3A808DD8647E3B5CB623ABD185840FDD46CF3E968BE4E69667D9'
  checksumType = 'sha256'
  checksum64 = 'A78FB7A2706C3A808DD8647E3B5CB623ABD185840FDD46CF3E968BE4E69667D9'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-estate-for-windows-17.23.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
